Package com.sun.ts.lib.deliverable

# Interface PropertyManagerInterface

All Known Implementing Classes:
  `AbstractPropertyManager`

public interface PropertyManagerInterface
This class serves as a well known place for harness, util, and porting classes to retrieve property values.

Author:
  Kyle Grucci

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Properties`
  `getJteProperties()`
  gets a new properties containing all entries in the property manager.
  `String`
  `getProperty(String sKey)`
  This method is called to get a property value
  `String`
  `getProperty(String sKey, String def)`
  gets property value with default
  `Properties`
  `getTestSpecificProperties(String[] sPropKeys)`
  This method is called by the test harness to retrieve all properties needed by a particular test.
  `void`
  `setProperty(String sKey, String sVal)`
  This method is called to set a property on the property manager
  `void`
  `swapInteropPropertyValues(String sDirection)`
  This method swaps all of the following interop values in TSPropertyManager...

- ## Method Details

  - ### swapInteropPropertyValues

    void swapInteropPropertyValues(String sDirection)
    This method swaps all of the following interop values in TSPropertyManager...
    Parameters:
      `sDirection` - - "interop" or "default"

  - ### getJteProperties

    Properties getJteProperties()
    gets a new properties containing all entries in the property manager. Any operation on the returned properties will have no effect on property manager
    Returns:
      Properties - property/value pairs

  - ### getProperty

    String getProperty(String sKey, String def)
    gets property value with default
    Parameters:
      `sKey` - - Property to retrieve
      `def` - - default value to use
    Returns:
      String - property value

  - ### getProperty

    String getProperty(String sKey) throws PropertyNotSetException
    This method is called to get a property value
    Parameters:
      `sKey` - - Property to retrieve
    Returns:
      String - property value
    Throws:
      `PropertyNotSetException` - - if property is not set

  - ### setProperty

    void setProperty(String sKey, String sVal)
    This method is called to set a property on the property manager
    Parameters:
      `sKey` - - key to be used
      `sVal` - - value to use

  - ### getTestSpecificProperties

    Properties getTestSpecificProperties(String[] sPropKeys) throws PropertyNotSetException
    This method is called by the test harness to retrieve all properties needed by a particular test.
    Parameters:
      `sPropKeys` - - Properties to retrieve
    Returns:
      Properties - property/value pairs
    Throws:
      `PropertyNotSetException` - - if property is not set